import { component11, wagreen, start22 } from "../asset";

function Hero() {
  return (
    <div
      className=" container px-4 sm:px-6 lg:px-8 mx-auto mt-[150px]"
      id="Home"
    >
      <div
        className="
                hero 
                grid grid-cols-1 lg:grid-cols-2 gap-10 
                mt-40 sm:mt-28 md:mt-32 lg:mt-36 xl:mt-24
                items-center"
      >
        {/* Left Section */}
        <div className="text-left px-4 sm:px-6 lg:px-0 mt-[-150px]">
          <div className="flex items-center">
            <img
              className="mb-5 mt-5 mx-auto lg:mx-0 w-3/4 sm:w-2/3 md:w-1/2 lg:w-auto"
              src={component11}
              alt="Home Logo"
            />
            <span className="flex items-center justify-center ml-2 bg-pink-600 text-white w-full sm:w-auto px-6 py-2 rounded-[14px] text-lg sm:text-2xl text-center mt-2 sm:mt-0">
              # Solusi Personal
            </span>
          </div>
          <h1 className="text-customBlack text-[32px]  font-semibold py-4">
            Saatnya mengintegrasikan AI ke dalam kehidupan Anda!
          </h1>
          <p className="text-customBlack text-[20px]">
            Rekan AI dirancang untuk mendukung kebutuhan personal Anda di era
            digital. Baik Anda seorang profesional, pelajar, atau individu yang
            mencari kemudahan dalam kehidupan sehari-hari, Rekan AI menawarkan
            teknologi yang mudah digunakan, efisien, dan dapat diandalkan.
          </p>
        </div>

        {/* Right Section (Home Image) */}
        <div className="flex justify-center lg:justify-end px-4 sm:px-6 lg:px-0">
          <img
            src={start22}
            alt="Home Image"
            className="w-full max-w-[500px] sm:max-w-[600px] md:max-w-[700px] lg:max-w-[807px] h-auto"
          />
        </div>
      </div>

      {/* Buttons */}
      <div className="flex flex-col sm:flex-row justify-center  sm:justify-start mt-[-185px] gap-4 sm:gap-6 lg:gap-8 items-center px-4 sm:px-6 lg:px-0">
        <button className="w-full sm:w-[230px] md:w-[250px] lg:w-[270px] h-[60px] sm:h-[70px] btn2 flex items-center justify-center py-4 sm:py-3 border-2 border-[#DC0168] rounded-[14px] text-[#DC0168] font-bold text-[16px] sm:text-[18px] lg:text-[20px] cursor-pointer transition-all ease-in-out hover:bg-[#ffffff1a]">
          <img
            src={wagreen}
            alt="WhatsApp Icon"
            className="mr-2 h-[25px] sm:h-[30px] w-[25px] sm:w-[30px]"
          />
          Konsultasi Gratis
        </button>
        <button className="w-full sm:w-[236px] md:w-[256px] lg:w-[276px] h-[60px] sm:h-[70px] btn2 flex items-center justify-center py-4 sm:py-3 px-6 sm:px-8 rounded-[14px] bg-gradient-to-r from-[#DC0168] to-[#5B59E8] text-white font-bold text-[16px] sm:text-[18px] lg:text-[20px] cursor-pointer transition-all ease-in-out hover:opacity-90">
          Coba Sekarang
        </button>
      </div>
    </div>
  );
}

export default Hero;
